<div class="tabs">
  <a href="javascript:void(0)" class="tab half" ng-click="vm.selectedTab = 0" ng-class="{'active': vm.selectedTab == 0}">Reports <sub ng-show="vm.global.unseen_reports != 0">{{vm.global.unseen_reports}}</sub></a>
  <a href="javascript:void(0)" class="tab half" ng-click="vm.selectedTab = 1" ng-class="{'active': vm.selectedTab == 1}">Users</a>
</div>
<div class="container" ng-show="vm.selectedTab == 0">
  <div class="results-row" ng-show="!vm.editMode" ng-class="{'focus':vm.commentMode}">
    <div class="blur" ng-show="vm.commentMode" ng-click="vm.blur()"></div>
    <div class="empty" ng-show="vm.global.selectedUser.wall.length == 0">
      <p>NO RESULTS WERE FOUND.</p>
    </div>
    <div class="reports-row">
      <div class="col report" ng-repeat="report in vm.global.reports">
        <a href="javascript:void(0)" ng-click="vm.navigateToUser(report.user_id)"><img class="profile-picture-a" ng-src="{{vm.findUser(report.user_id).img}}" onerror="this.src='assets/images/default-user.png'"></a>
        <h3><a href="javascript:void(0)" ng-click="vm.navigateToUser(report.user_id)">{{vm.findUser(report.user_id).fullname}}</a> has reported <a href="javascript:void(0)" ng-click="vm.navigateToUser(report.target_user_id)">{{vm.findUser(report.target_user_id).fullname}}.</a></h3>
        <a href="javascript:void(0)" ng-click="vm.navigateToUser(report.target_user_id)"><img class="profile-picture-b" ng-src="{{vm.findUser(report.target_user_id).img}}" onerror="this.src='assets/images/default-user.png'"></a>
        <small>{{report.timestamp | relativeDate}}</small>
        <p>{{report.report}}</p>
      </div>
    </div>
  </div>
</div>

<div class="container" ng-show="vm.selectedTab == 1">
  <div class="results-row">
    <div class="empty" ng-show="vm.global.users.length == 0">
      <p>NO USERS WERE FOUND.</p>
    </div>
    <table class="table table-striped users-row">
      <thead>
        <th>#</th>
        <th>Name</th>
        <th>Username</th>
        <th>Email</th>
        <th>Admin?</th>
        <th>Reports</th>
        <th>Suspention</th>
        <th>Delete</th>
      </thead>
      <tr class="col user" ng-repeat="user in vm.global.users track by $index" ng-click="vm.navigateToUser(user)" ng-hide="user.id == vm.global.user.id">
        <th>{{user.id}}</th>
        <th>{{user.fullname}}</th>
        <th>{{user.username}}</th>
        <th>{{user.email}}</th>
        <th>{{user.isAdmin ? "Yes" : "No"}}</th>
        <th>{{user.reports_count}}</th>
        <th><button class="btn btn-default" ng-click="$event.stopPropagation(); vm.suspendUser(user)">{{user.suspended == 0 ? 'Suspend' : 'Unsuspend'}}</button></th>
        <th><button class="btn btn-warning" ng-click="$event.stopPropagation(); vm.deleteUser(user, $index)">Delete</button></th>
      </tr>
    </table>
  </div>
</div>